Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 430056

Summary: media-sound/pulseaudio-1.1-r1 USE=lirc does not build lirc module
Product: Gentoo Linux Reporter: Wicher Minnaard <wicher>
Component: Current packagesAssignee: Gentoo Linux Gnome Desktop Team <gnome>
Status: RESOLVED FIXED    
Severity: normal CC: sound
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Wicher Minnaard 2012-08-05 18:05:11 UTC
Pulseaudio's configure script documents (-h) only one option for directing the building of the lirc module:
--disable-lirc

There is no --enable-lirc. However, ebuilds have "$(use_enable lirc)". With USE="lirc" this passes --enable-lirc which apparently (and unexpectedly) results in *disabling* the building of the lirc module.

Furthermore, in my experiments, not passing *any* configure flags wrt lirc lets pulseaudio's configure script autodetect lirc. It then builds the module.
Comment 1 Pacho Ramos gentoo-dev 2014-02-16 21:17:53 UTC
Looks to work on with 4.99.4